<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

if($first_load==false){
	// used for getting mentions
	include "../libs/php/util.php";
	$util=new Util();
}

for($x=0; $x<$feed_item_count; $x++){

		// to get the post id
		$id = isset($obj['data'][$x]['id']) ? $obj['data'][$x]['id'] : "";
		$post_id_arr = explode('_', $id);
		$post_id = $post_id_arr[1];
		
		// user's custom message
		$message=isset($obj['data'][$x]['message']) ? $obj['data'][$x]['message'] : "";
		$message=$util->getNewStringWithMentions($message);
		$message=htmlspecialchars_decode(str_replace("\n", "<br>", $message));
		
		// picture from the link
		$picture = isset($obj['data'][$x]['picture']) ? $obj['data'][$x]['picture'] : "";
		
		// link posted
		$link = isset($obj['data'][$x]['link']) ? $obj['data'][$x]['link'] : "";
		
		// name or title of the link posted
		$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "";
		
		$description = isset($obj['data'][$x]['description']) ? $obj['data'][$x]['description'] : "";
		$type = isset($obj['data'][$x]['type']) ? $obj['data'][$x]['type'] : "";
		
		// story, used for example, page shared an event "[story] => OutCentral created an event."
		$story = isset($obj['data'][$x]['story']) ? $obj['data'][$x]['story'] : "";
		
		// when it was posted
		$created_time = isset($obj['data'][$x]['created_time']) ? $obj['data'][$x]['created_time'] : "";
		$converted_date_time = date( 'Y-m-d H:i:s', strtotime($created_time));
		$ago_value = time_elapsed_string($converted_date_time);
		
		// from
		$page_name = isset($obj['data'][$x]['from']['name']) ? $obj['data'][$x]['from']['name'] : "";
		
		// useful for photo
		$object_id = isset($obj['data'][$x]['object_id']) ? $obj['data'][$x]['object_id'] : "";
		
		if($x%2==0){ echo "<li>"; }
		else{ echo "<li class='timeline-inverted'>"; }
		
			include "badge.php";
			
			echo "<div class='timeline-panel'>";
				include "heading.php";
				include "body.php";
			echo "</div>";
			
		echo "</li>";
		
}

// to get 'time ago' text
function time_elapsed_string($datetime, $full = false) {

	$now = new DateTime;
	$ago = new DateTime($datetime);
	$diff = $now->diff($ago);

	$diff->w = floor($diff->d / 7);
	$diff->d -= $diff->w * 7;

	$string = array(
		'y' => 'year',
		'm' => 'month',
		'w' => 'week',
		'd' => 'day',
		'h' => 'hour',
		'i' => 'minute',
		's' => 'second',
	);
	foreach ($string as $k => &$v) {
		if ($diff->$k) {
			$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
		} else {
			unset($string[$k]);
		}
	}

	if (!$full) $string = array_slice($string, 0, 1);
	return $string ? implode(', ', $string) . ' ago' : 'just now';
}

?>